読者です 読者をやめる 読者になる 読者になる

PHP-5.4でのZip Extension

PHPMatsuri 2012 に来ている時に、何故か自分のワーク環境の一つのPHP-5.4を整備することになって、5.3の時と同様に Zip extension を PECL から入れようとしてハマったのでメモ。


PECL Zip はすでにメンテナンスされていない。PHP-5.4 でビルドしようとすると、zend_object_handlerにセットされるハンドラ関数の引数が変更されているので、コンパイルエラーになる。


PHP-5.4 本体に Zip extension がバンドルされているのでそちらを使う。